summaryrefslogtreecommitdiffstats
path: root/bin/ptxdist
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ptxdist')
-rwxr-xr-xbin/ptxdist4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 555d801ae..854648ae2 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1905,6 +1905,10 @@ EOF
exit
;;
image)
+ if [ ${#} -eq 0 ]; then
+ echo "No image given."
+ exit 1
+ fi
check_premake_compiler &&
images=( "${@/#/${IMAGEDIR}/}" ) &&
ptxd_make_log "${images[@]}"